QGIS Application - Bug report #15854
wmts servers shouldn't re-try 4xx http responses
2016-11-16 06:44 AM - Calvin Metcalf

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23772
Description

if a tile is inside the bounding box of a layer on a wmts service but the server responded to a getTile request with a 4xx type error message
(i.e. 404 or 403) qgis will retry the tile request. This is likely caused by ambiguity in the wmts spec which neglects to specify what should
happen if non rectangular bounding boxes were to exist, but the best thing for qgis to do would be to follow what the http error codes
suggest and not retry requests that will fail again.

Associated revisions

Revision 171dfe11 - 2017-02-26 04:45 AM - Martin Dobias

Retry WMS/WMTS/XYZ requests only on timeout (fixes #15854)

It does not really make sense to retry if server returns 404 Not Found or similar...

History

#1 - 2017-02-25 07:40 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"171dfe113034767d9941d7041afce6c5e4ecb027".

#2 - 2017-09-22 09:56 AM - Jiirgen Fischer
- Category set to Unknown
